Bug 204559 - Xorg ignores specified Modeline entries in xorg.conf
Xorg ignores specified Modeline entries in xorg.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 19:09 EDT by Boyan Anastasov
Modified: 2009-07-14 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (56.85 KB, application/octet-stream)
2006-08-29 19:21 EDT, Boyan Anastasov
no flags Details
continued Xorg.log after xvidtune changes (2.02 KB, application/octet-stream)
2006-08-29 19:24 EDT, Boyan Anastasov
no flags Details
Xorg.log from working xorg-x11-drv-ati-6.6.1-7.fc6 (51.56 KB, application/octet-stream)
2006-08-30 19:37 EDT, Boyan Anastasov
no flags Details
Xorg.0.log diff without option NoDDC (-) and with NoDDC (+) (20.28 KB, application/octet-stream)
2007-04-15 06:11 EDT, Boyan Anastasov
no flags Details

  None (edit)
Description Boyan Anastasov 2006-08-29 19:09:45 EDT
Description of problem:
Couple of versions back Xorg started to ignore Modeline entries in my xorg.conf.
I don't remember exactly what version but last working was some 1.1.1-NN from 
the week or so back. Tested with the latest now xorg-x11-server-Xorg-1.1.1-
31.fc6 the problem persist.

After KDE start I run xvidtune and press Show to see the current Modeline. It 
shows:

"1024x768"     94.50   1024 1072 1168 1376    768  769  772  808 +hsync +vsync

but in my config there is:

Modeline "1024x768" 94.50 1024 1080 1176 1376 768 769 772 808 +hsync +vsync

from xvidtune:
HsyncStart: 1072 should be 1080, HsyncEnd: 1168 should be 1176

I then press Auto in xvidtune and correct the position (pressed Left 2 times), 
then again Show, and the Modeline looks like in the xorg.conf.

The Card is:
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 AS [Radeon 9550]
01:00.1 Display controller: ATI Technologies Inc RV350 ?? [Radeon 
9550] (Secondary)

I'm using driver "ati".

This is the Monitor section in xorg.conf:
Section "Monitor"
        Identifier "SyncMaster"
        VendorName "Unknown"
        ModelName  "Unknown"
        HorizSync 30 - 71
        VertRefresh 50 - 160
        Option "DPMS"

Modeline "640x480"  55.95 640 668 724 840 480 480 490 501
Modeline "800x600"  72.24 800 840 944 1056 600 600 610 622
Modeline "1024x768" 94.50 1024 1080 1176 1376 768 769 772 808 +hsync +vsync
EndSection

Portions from /var/log/Xorg.0.log:


(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) RADEON(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) RADEON(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) RADEON(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 94.5 MHz   Image Size:  312 x 234 mm
(II) RADEON(0): h_active: 1024  h_sync: 1072  h_sync_end 1168 h_blank_end 1376 
h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking: 808 
v_border: 0
(II) RADEON(0): Ranges: V min: 50  V max: 160 Hz, H min: 30  H max: 71 kHz, 
PixClock max 110 MHz

.........

(**) RADEON(0): RADEONModeInit()
1024x768       94.50  1024 1072 1168 1376   768  769  772  808 (16,16) +H +V
1024x768       94.50  1024 1072 1168 1376   768  769  772  808 (16,16) +H +V

After xvidtune fix:
(**) RADEON(0): RADEONSwitchMode() !n(**) RADEON(0): RADEONModeInit()
1024x768       94.50  1024 1080 1176 1376   768  769  772  808 (16,16) +H +V
1024x768       94.50  1024 1080 1176 1376   768  769  772  808 (16,16) +H +V



Btw, with those latest Xorg releases I see big improvement in opengl. The 
biggest test (and hardest) I have is Euphoria screensaver, and
it works for the first time without problems! (ppracer, glxgears, stellarium 
are working from some months now).

Thanks for any help!
Comment 1 Boyan Anastasov 2006-08-29 19:21:45 EDT
Created attachment 135173 [details]
Xorg.0.log
Comment 2 Boyan Anastasov 2006-08-29 19:24:54 EDT
Created attachment 135174 [details]
continued Xorg.log after xvidtune changes
Comment 3 Boyan Anastasov 2006-08-30 19:37:19 EDT
Created attachment 135250 [details]
Xorg.log from working xorg-x11-drv-ati-6.6.1-7.fc6

It seems the problem is in the latest xorg-x11-drv-ati release(s).
Tested with the latest xorg-x11-drv-ati-6.6.2-1.fc6.
Reverting to xorg-x11-drv-ati-6.6.1-7.fc6 from FC6 Test 5.91 does not show the
problem.
Comment 4 John Griffiths 2006-12-20 07:51:52 EST
This also occurs with xorg-x11-drv-nv-1.2.0-4.fc6, so apparently it is not just
the ati driver.
Comment 5 John Griffiths 2007-02-13 07:55:14 EST
Is there any progress on this?

I am sure this is not a problem for most, but for those that have multiple
systems connected through a KVM switch with different graphics cards, it is a
constant annoyance. Every time I log in to an FC6 system, I have to run xvidtune
to resize and re-center the display.
Comment 6 Boyan Anastasov 2007-04-15 05:54:19 EDT
I don't know if the problem is fixed almost 8 months later, but soon after 
reporting this I added option to xorg.conf "Monitor" section:

        Option "NoDDC"

As I don't see any note in changelog I didn't tested if this is fixed. It looks 
not fixed at least for 6 months (the date of last report not from me), but I 
can't find in changelog why the problem appeared too. I'll try without this 
option and report back.
Comment 7 Boyan Anastasov 2007-04-15 06:11:17 EDT
Created attachment 152640 [details]
Xorg.0.log diff without option NoDDC (-) and with NoDDC (+)

Xorg.0.log diff without option NoDDC (-) and with NoDDC (+)
Comment 8 Boyan Anastasov 2007-04-15 06:12:56 EDT
Tested again with xorg-x11-drv-ati-6.6.3-2.fc7, and the problem persist.
Comment 9 Bug Zapper 2008-04-03 14:04:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Boyan Anastasov 2008-04-04 15:30:29 EDT
Still reproducible with the latest versions from rawhide:
xorg-x11-server-Xorg-1.4.99.901-16.20080401.fc9.i386
xorg-x11-drv-ati-6.8.0-9.fc9.i386

Besides that I can no longer change anything with xvidtune. No matter if
the option NoDDC is present or not.
It shows error message:

Sorry: You have requested a mode-line
  That is not possible, or not supported by your
  hardware configuration

which is strange because I didn't changed those settings for 6-7 years...
Comment 11 Bug Zapper 2008-05-13 22:18:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Mike 2008-07-11 08:29:44 EDT
According to:
http://bugs.freedesktop.org/show_bug.cgi?id=2859#c106
there is bug in (xserver 1.3.0).

I'm using F8 and it still exists.
Anyone using F9 please check fix-status about this issue.
Comment 13 Bug Zapper 2009-06-09 18:15:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 12:47:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.